//+------------------------------------------------------------------+
//|                                         VininS_MovingAverage.mq4 |
//|                      Copyright  2010, Victor Nicolaev aka Vinin |
//|                                            e-mail: vinin@mail.ru |
//+------------------------------------------------------------------+

#property copyright "Copyright  2010 Victor Nicolaev"
#property link      "vinin@mail.ru"
#property show_inputs

extern int period_MA=100;
extern int mode_ma=0; // 0- SMA, 1-EMA,2-SMMA, 3-LWMA

int start() {
   string FileName=Symbol()+PeriodToStr(Period())+".csv";
   int handle=FileOpen(FileName,FILE_READ|FILE_CSV,";");
   if (handle<0) {
      Print("    ", FileName);
      return(0);
   }
   for (int i=Bars-period_MA-1;i>=0;i--){
      double tmpMA=iMA(NULL,0,period_MA,0,mode_ma,PRICE_CLOSE,i);
      FileWrite(handle,Time[i], Close[i],tmpMA);
   }
   FileClose(handle);

   return(0);

}


string PeriodToStr(int period=0){
   if (period==0) period=Period();
   switch (period) {
      case PERIOD_MN1: return("MN1");
      case PERIOD_W1:  return("W1");
      case PERIOD_D1:  return("D1");
      case PERIOD_H4:  return("H4");
      case PERIOD_H1:  return("H1");
      case PERIOD_M30: return("M30");
      case PERIOD_M15: return("M15");
      case PERIOD_M5:  return("M5");
      case PERIOD_M1:  return("M1");   
   }
   return("");
}

